package SMT::Error;

use SMT::Utils;
use Apache2::Const -compile => qw(:log OK SERVER_ERROR HTTP_NO_CONTENT AUTH_REQUIRED FORBIDDEN HTTP_UNPROCESSABLE_ENTITY);
use JSON;
use Data::Dumper;

#
# Apache Handler
# this is the main function of this request handler
#
sub handler {
    my $r = shift;
    print STDERR "ERROR HANDLER: ".Data::Dumper->Dump([[$r]);
    $r->status(Apache2::Const::SERVER_ERROR);
    $r->content_type('application/json');
    $r->custom_response(Apache2::Const::SERVER_ERROR, "");
    print encode_json({ 'error' => "Internal Server Error: Please contact your Administrator",
        'localized_error' => "Internal Server Error: Please contact your Administrator",
        'status' => Apache2::Const::SERVER_ERROR });
    return Apache2::Const::SERVER_ERROR;
}

1;
